Ubuntu18.10无法更新,提示更新仓库信息失败,检查网络连接

包含网卡/无线网的网络问题和ADSL/校园网/宽带拨号支持及代理/共享等网络使用问题
回复
郑小喷
帖子: 27
注册时间: 2018-11-21 13:16
系统: 18.04
送出感谢: 6 次
接收感谢: 0

Ubuntu18.10无法更新,提示更新仓库信息失败,检查网络连接

#1

帖子 郑小喷 » 2020-07-12 23:12

我的系统是Ubuntu18.10,现在不知道之前是怎么误操作的,现在无法更新,用软件更新器更新时显示“更新仓库信息失败,检查网络连接”百度搜了很多方法,尝试了依然未解决!
附件
更新报错信息.doc
更新时报错的细节信息,附含两张截图。
(104 KiB) 下载 13 次
头像
oneleaf
论坛管理员
帖子: 10374
注册时间: 2005-03-27 0:06
系统: Ubuntu 12.04
送出感谢: 7 次
接收感谢: 116 次

Re: Ubuntu18.10无法更新,提示更新仓库信息失败,检查网络连接

#2

帖子 oneleaf » 2020-07-13 9:50

你加了网易的11.10的源,网易本身已经不再提供这个源,所以更新不了,你将源由 oneiric 修改为 cosmic
郑小喷
帖子: 27
注册时间: 2018-11-21 13:16
系统: 18.04
送出感谢: 6 次
接收感谢: 0

Re: Ubuntu18.10无法更新,提示更新仓库信息失败,检查网络连接

#3

帖子 郑小喷 » 2020-07-13 18:48

之前的源是华为的源,是看了网上的方法,更改成网易的源!您说的我马上回去试试。感谢您的回复!
郑小喷
帖子: 27
注册时间: 2018-11-21 13:16
系统: 18.04
送出感谢: 6 次
接收感谢: 0

Re: Ubuntu18.10无法更新,提示更新仓库信息失败,检查网络连接

#4

帖子 郑小喷 » 2020-07-13 19:41

oneleaf 写了:
2020-07-13 9:50
你加了网易的11.10的源,网易本身已经不再提供这个源,所以更新不了,你将源由 oneiric 修改为 cosmic
之前的源是华为的源,是看了网上的方法,更改成网易的源!您说的我马上回去试试。感谢您的回复!
郑小喷
帖子: 27
注册时间: 2018-11-21 13:16
系统: 18.04
送出感谢: 6 次
接收感谢: 0

Re: Ubuntu18.10无法更新,提示更新仓库信息失败,检查网络连接

#5

帖子 郑小喷 » 2020-07-14 22:18

oneleaf 写了:
2020-07-13 9:50
你加了网易的11.10的源,网易本身已经不再提供这个源,所以更新不了,你将源由 oneiric 修改为 cosmic
更改了下您说的地方,还是不行!用这个https://blog.csdn.net/qq_22498427/article/details/104345138里的方法,之后就在apt-get update ,就不会报错了!但是我这个“软件和更新”的这个工具还是不能使用,只要一更改,立马就会出错!请问这个我该怎么去测试或者说怎么去找出问题?
2020-07-14 22-16-26屏幕截图.png
2020-07-14 22-11-54屏幕截图.png
2020-07-14 21-37-53屏幕截图.png
头像
astolia
论坛版主
帖子: 4802
注册时间: 2008-09-18 13:11
送出感谢: 1 次
接收感谢: 809 次

Re: Ubuntu18.10无法更新,提示更新仓库信息失败,检查网络连接

#6

帖子 astolia » 2020-07-14 23:24

像18.10这种非长期支持版,生命周期只有9个月。所以在1年前,官方对18.10的支持就结束了。支持结束的后果之一就是,官方源中不再保留这个版本相关的文件,所以不管是官方源还是和官方源同步的镜像源,cosmic相关的文件早就没了。
所以如果你非要继续用18.10的话,只能用老版本归档源,也就是把cosmic前面的域名换成old-releases.ubuntu.com。这个现在国内好像没有镜像源,访问可能很慢
郑小喷
帖子: 27
注册时间: 2018-11-21 13:16
系统: 18.04
送出感谢: 6 次
接收感谢: 0

Re: Ubuntu18.10无法更新,提示更新仓库信息失败,检查网络连接

#7

帖子 郑小喷 » 2020-07-19 12:19

astolia 写了:
2020-07-14 23:24
像18.10这种非长期支持版,生命周期只有9个月。所以在1年前,官方对18.10的支持就结束了。支持结束的后果之一就是,官方源中不再保留这个版本相关的文件,所以不管是官方源还是和官方源同步的镜像源,cosmic相关的文件早就没了。
所以如果你非要继续用18.10的话,只能用老版本归档源,也就是把cosmic前面的域名换成old-releases.ubuntu.com。这个现在国内好像没有镜像源,访问可能很慢
您说的我听明白了!首先我也考虑到是系统版本的问题,但是我这系统用正常的方法好像已无法升级!顺便问句,那个可有方法让系统升级到高版本或者是降级成18.04?还是说只能重新安装新版本系统?
附件
2020-07-19 12-16-47屏幕截图.png
头像
astolia
论坛版主
帖子: 4802
注册时间: 2008-09-18 13:11
送出感谢: 1 次
接收感谢: 809 次

Re: Ubuntu18.10无法更新,提示更新仓库信息失败,检查网络连接

#8

帖子 astolia » 2020-07-19 14:09

自己编辑/etc/apt/sources.list,把里面的所有cosmic改成focal,再用sudo apt update和sudo apt full-upgrade就可以升级到20.04了。
郑小喷
帖子: 27
注册时间: 2018-11-21 13:16
系统: 18.04
送出感谢: 6 次
接收感谢: 0

Re: Ubuntu18.10无法更新,提示更新仓库信息失败,检查网络连接

#9

帖子 郑小喷 » 2020-08-16 15:04

astolia 写了:
2020-07-19 14:09
自己编辑/etc/apt/sources.list,把里面的所有cosmic改成focal,再用sudo apt update和sudo apt full-upgrade就可以升级到20.04了。
您的方法已尝试!但,却无法更新到新系统。重启后,系统提示无法恢复!不过,还是感谢您的回复!
附件
2020-07-20 23-18-12屏幕截图.png
2020-07-20 23-09-22屏幕截图.png
2020-07-19 12-16-47屏幕截图.png
头像
careone
帖子: 838
注册时间: 2007-12-17 21:41
送出感谢: 76 次
接收感谢: 27 次

Re: Ubuntu18.10无法更新,提示更新仓库信息失败,检查网络连接

#10

帖子 careone » 2020-08-16 16:57

印象中, ubuntu 的“非 LTS 长期支持版”,只能一个版本一个版本往上升。如:18.10 -> 19.04 -> 9.10 -> 20.04
如果是 “ LTS 长期支持版”,则可以直接 LTS 到下一个 LTS,如 18.04 -> 20.04

当然,如果强行跨规则进行版本升级,有可能成功,也可能出现未知风险。

个人建议,如果用 ubuntu ,尽可能用 LTS 版本,少升级 零散版本。除非 LTS 满足需求,如电脑的硬件较新,不支持或驱动异常。
这些用户感谢了作者 careone 于这个帖子:
郑小喷 (2020-08-16 22:18)
评价: 3.7%
魁拔不死,天下不宁。
魁拔既死,天下不平。
--------------
Careone <emacslocale^126.com>
https://sourceforge.net/projects/emacslocale/files/
郑小喷
帖子: 27
注册时间: 2018-11-21 13:16
系统: 18.04
送出感谢: 6 次
接收感谢: 0

Re: Ubuntu18.10无法更新,提示更新仓库信息失败,检查网络连接

#11

帖子 郑小喷 » 2020-08-16 22:19

careone 写了:
2020-08-16 16:57
印象中, ubuntu 的“非 LTS 长期支持版”,只能一个版本一个版本往上升。如:18.10 -> 19.04 -> 9.10 -> 20.04
如果是 “ LTS 长期支持版”,则可以直接 LTS 到下一个 LTS,如 18.04 -> 20.04

当然,如果强行跨规则进行版本升级,有可能成功,也可能出现未知风险。

个人建议,如果用 ubuntu ,尽可能用 LTS 版本,少升级 零散版本。除非 LTS 满足需求,如电脑的硬件较新,不支持或驱动异常。
多谢,我也是这方面的初学者!之前没事+轻微的强迫症,所以就升级了!没想到后果这么严重。
回复

回到 “网络相关问题”